import { AfterViewInit, ElementRef, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiImageElement } from "../../elements/StiImageElement";
import { StiBorderArea } from "../../properties/StiBorderArea";
export declare class StiImageComponent implements OnInit, AfterViewInit {
    model: StiModelService;
    sigPadElement: any;
    element: StiImageElement;
    isClone: boolean;
    ref: ElementRef;
    get align(): string;
    get image(): string;
    get imageWidth(): number;
    get imageHeight(): number;
    get borderArea(): StiBorderArea;
    onFileSelected(event: any): void;
    openLink(): void;
    get backgroundSize(): string;
    constructor(model: StiModelService);
    ngAfterViewInit(): void;
    ngOnInit(): void;
}
